### File

`packages/components/eui-comment-thread/comment-item/eui-comment-item.component.ts`

### Implements

`AfterContentInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-comment-item`
imports | `TranslateModule` `EUI_TEXTAREA` `EUI_AVATAR` `EUI_BUTTON` `EUI_LABEL` `EUI_ICON` `EUI_DROPDOWN` `EUI_ICON_BUTTON_EXPANDER` `EuiCommentTextareaComponent`
styleUrls | `../styles/_index.scss`
templateUrl | `./eui-comment-item.component.html`

### Index

###### Properties
comment Public fullText Public isExpanded Public isTruncated Public isVisibleReplyInput subCommentItems Public truncatedText
###### Methods
Public onCommentCancel Public onCommentSend Public onToggleOpen Public onToggleReplyInput toggleExpanded
###### Inputs
authorAvatarUrl authorName commentCharLimit createdAt currentAuthorAvatarUrl hasChildren isOpen
###### Outputs
commentCancel commentSend
###### HostBindings
class
###### Accessors
cssClasses nbSubCommentItems

### Inputs

authorAvatarUrl
Type : `string`
Default value : `null`

authorName
Type : `string`
Default value : `null`

commentCharLimit
Type : `number`
Default value : `500`

createdAt
Type : `string`
Default value : `null`

currentAuthorAvatarUrl
Type : `string`
Default value : `null`

hasChildren
Type : `boolean`
Default value : `false`

isOpen
Type : `boolean`
Default value : `false`

### Outputs

commentCancel
Type : `EventEmitter`

commentSend
Type : `EventEmitter`

### HostBindings

class
Type : `string`

### Methods

Public onCommentCancel
`onCommentCancel()`
Returns : `void`

Public onCommentSend
`onCommentSend(comment: string)`
Parameters :
Name | Type | Optional
comment | `string` | No
Returns : `void`

Public onToggleOpen
`onToggleOpen()`
Returns : `void`

Public onToggleReplyInput
`onToggleReplyInput(e: MouseEvent)`
Parameters :
Name | Type | Optional
e | `MouseEvent` | No
Returns : `void`

toggleExpanded
`toggleExpanded(e: MouseEvent)`
Parameters :
Name | Type | Optional
e | `MouseEvent` | No
Returns : `void`

### Properties

comment
Type : `ElementRef<HTMLElement>`
Decorators : `@ViewChild('comment', {static: true})`

Public fullText
Type : `string`
Default value : `''`

Public isExpanded
Default value : `false`

Public isTruncated
Default value : `false`

Public isVisibleReplyInput
Default value : `false`

subCommentItems
Type : `QueryList<EuiCommentItemComponent>`
Decorators : `@ContentChildren(EuiCommentItemComponent)`

Public truncatedText
Type : `string`
Default value : `''`

### Accessors

cssClasses
get `cssClasses()`

nbSubCommentItems
get `nbSubCommentItems()`

# results matching ""

# No results matching ""